<?php

namespace Tests\App\Models;

use Tests\Support\ModelCrudTestCase;
use App\Models\UserNotificationModel;

class UserNotificationModelTest extends ModelCrudTestCase
{

    public function testCanInsertAndRetrieve()
    {
        $this->assertModelCanInsertAndRetrieve(UserNotificationModel::class);
    }

    public function testCanUpdate()
    {
        $this->assertModelCanUpdate(UserNotificationModel::class);
    }

    public function testCanDelete()
    {
        $this->assertModelCanDelete(UserNotificationModel::class);
    }
}
